# Class PlotStiltsMonitor

java.lang.Object
uk.ac.starlink.topcat.StiltsMonitor<PlotStiltsMonitor.PlotState>
uk.ac.starlink.topcat.plot2.PlotStiltsMonitor

public class PlotStiltsMonitor extends StiltsMonitor<PlotStiltsMonitor.PlotState>
Manages text display components for displaying a STILTS command that is supposed to replicate the plot visible in a PlotPanel. The replication may not be identical; a best effort is made.

Since:
  12 Sep 2017
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PlotStiltsMonitor.PlotState`
Defines the result of trying to serialize a PlotSpec to a STILTS command.

### Nested classes/interfaces inherited from class StiltsMonitor

`StiltsMonitor.State`

## Constructor Summary

Constructors
Constructor
Description
`PlotStiltsMonitor(PlotPanel<?,?> plotPanel)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(uk.ac.starlink.ttools.task.CommandFormatter formatter, uk.ac.starlink.ttools.task.TableNamer tableNamer, uk.ac.starlink.ttools.plot2.task.Suffixer layerSuffixer, uk.ac.starlink.ttools.plot2.task.Suffixer zoneSuffixer)`
Sets the state that controls the details of formatting stilts commands.
`protected PlotStiltsMonitor.PlotState`
`createState()`
Returns a state object describing the content that should be displayed in this monitor.
`Action[]`
`getActions()`
Returns a list of actions that the GUI can present to the user relating to the displayed command.
`Action`
`getExecuteAction()`
Returns an action that will attempt to execute the current stilts command and display the result in a dialog window.

### Methods inherited from class StiltsMonitor

`createErrorDisplay, getClipboardAction, getErrorAction, getState, getTextPanel, getWidthCharacters, resetState, wrapTextPanel`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotStiltsMonitor

public PlotStiltsMonitor(PlotPanel<?,?> plotPanel)
Constructor.

Parameters:
  `plotPanel` - panel to mirror

## Method Details

### configure

public void configure(uk.ac.starlink.ttools.task.CommandFormatter formatter, uk.ac.starlink.ttools.task.TableNamer tableNamer, uk.ac.starlink.ttools.plot2.task.Suffixer layerSuffixer, uk.ac.starlink.ttools.plot2.task.Suffixer zoneSuffixer)
Sets the state that controls the details of formatting stilts commands. These can be assigned by the user to adjust formatting details.

Parameters:
  `formatter` - formatter
  `tableNamer` - table naming
  `layerSuffixer` - controls suffixes for layer identification
  `zoneSuffixer` - controls suffixes for zone identification

### getExecuteAction

public Action getExecuteAction()
Returns an action that will attempt to execute the current stilts command and display the result in a dialog window.

Returns:
  execution action

### getActions

public Action[] getActions()
Returns a list of actions that the GUI can present to the user relating to the displayed command.

Returns:
  action array

### createState

protected PlotStiltsMonitor.PlotState createState()
Description copied from class: `StiltsMonitor`
Returns a state object describing the content that should be displayed in this monitor.

Specified by:
  `createState` in class `StiltsMonitor<PlotStiltsMonitor.PlotState>`
Returns:
  new state